InfoGrab Docs

이슈 보드 API

프로젝트 이슈 보드 및 보드 목록을 관리하는 API를 설명합니다.

이 API를 사용하여 프로젝트 이슈 보드 를 관리합니다. 프로젝트의 모든 이슈 보드 목록 # 지정된 프로젝트의 모든 이슈 보드 목록을 반환합니다. GET /projects/:id/boards 속성 유형 필수 여부 설명 id 정수 또는 문자열 예 프로젝트의 ID 또는 URL-인코딩된 경로 . curl --request GET \ --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/projects/5/boards" 응답 예시: [ { "id" : 1 , "name" : "board1" , "project" : { "id" : 5 , "name" : "Testing" , "name_with_namespace" : "Testing" , "path" : "testing" , "path_with_namespace" : "testing" } , "milestone" : { "id" : 12 , "title" : "10.0" } , "lists" : [ { "id" : 1 , "label" : { "name" : "Testing" , "color" : "#F0AD4E" , "description" : null } , "position" : 1 , "max_issue_count" : 0 , "max_issue_weight" : 0 , "limit_metric" : null } , { "id" : 2 , "label" : { "name" : "Ready" , "color" : "#FF0000" , "description" : null } , "position" : 2 , "max_issue_count" : 0 , "max_issue_weight" : 0 , "limit_metric" : null } , { "id" : 3 , "label" : { "name" : "Production" , "color" : "#FF5F00" , "description" : null } , "position" : 3 , "max_issue_count" : 0 , "max_issue_weight" : 0 , "limit_metric" : null } ] } ] 이슈 보드 조회 # 프로젝트의 지정된 이슈 보드를 조회합니다. GET /projects/:id/boards/:board_id 속성 유형 필수 여부 설명 id 정수 또는 문자열 예 프로젝트의 ID 또는 URL-인코딩된 경로 . board_id 정수 예 보드의 ID. curl --request GET \ --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/projects/5/boards/1" 응답 예시: { "id" : 1 , "name" : "board1" , "project" : { "id" : 5 , "name" : "Testing" , "name_with_namespace" : "Test